5 Replies Latest reply on Nov 19, 2019 4:20 PM by James Walker

    What browser does Oracle recommend for EBS 12 when Internet Explorer 11 is desupported?

    James Walker

      As far as I know, there will not be an Internet Explorer 12 in the near future. Microsoft has confirmed that Internet Explorer 11 is the final version of Internet Explorer and that will be it and that MS Edge will be the standard browser. IE 11 is still a built-in browser that comes with Windows 10 installation. They tied the life and death of IE 11 to Windows 10. Unlike IE is Windows 10 it is an evergreen operating system, automatic major updates every 6 months . IE 11 will get Technical Updates as long as Windows 10 gets supported.  I have read that manistream support for Windows 10 continues only until Oct 13 2020.  So the only other option is Microsoft Edge, which we have found does not work well with EBS R12 because it does not support the java plugin for forms.  Does Oracle recommend using Mozilla Firefox or some other browser when this happens?

        • 1. Re: What browser does Oracle recommend for EBS 12 when Internet Explorer 11 is desupported?
          Andris Perkons-Oracle

          There's Firefox, Chrome and Edge available and supported . If you have a MOS login, check note 389422.1 for details.

           

           

          Andris

          1 person found this helpful
          • 2. Re: What browser does Oracle recommend for EBS 12 when Internet Explorer 11 is desupported?
            James Walker

            Chrome and MS Edge are certified for running Java content using Java Web Start (JWS) - Document 2188898.1, but do not support the JRE plugin.  Apparently Firefox and IE11 can still use JRE plugin as well as JWS. However it is not clear how long IE11 will be supported, except that  Microsoft says IE11 will supported for the lifecycle of WIndows10.  I am thinking that Oracle's recommendation for browsers for EBS R12.1 and R12.2 is to use JWS going forward, which has the wider range of support for most all of the most popular browsers.

            • 3. Re: What browser does Oracle recommend for EBS 12 when Internet Explorer 11 is desupported?
              #MVivek

              Supported Web Browsers

               

              Oracle Content and Experience supports the following web browsers:

              • Microsoft Internet Explorer: version 11*
              • Microsoft Edge: version 12*
              • Mozilla Firefox: version 68.1 or 69.0
              • Mozilla Firefox Extended Support Release (ESR): version 60.9.0 or 68.1.0
              • Google Chrome on Windows: version 45 or higher
              • Apple Safari on Mac: version 9 or 10
              • Apple Safari for iOS: on supported Apple devices
              • Google Chrome for Android: on supported Android devices

               

              Regards

              Vivek

               

              • 4. Re: What browser does Oracle recommend for EBS 12 when Internet Explorer 11 is desupported?
                aspardhya

                Hi James,

                 

                Chrome and mozilla supported for me.

                 

                Taken content from

                 

                Certification Matrix for Windows Operating Systems and Oracle E-Business Suite

                The table below outlines the currently certified Desktop Client Operating System and JRE 8 releases for use with Java Web Start (JWS).

                BrowserWindows 10
                (32-bit & 64-bit)
                Windows 8.1
                (32-bit & 64-bit)
                Windows 7
                (32-bit & 64-bit)
                Chrome

                JRE 1.8.0_151 and higher

                JRE 8 Update 144 b01
                JRE 8 Update 141 b15
                JRE 8 Update 131 b31
                JRE 8 Update 121 b33

                JRE 1.8.0_151 and higher

                JRE 8 Update 144 b01
                JRE 8 Update 141 b15
                JRE 8 Update 131 b31
                JRE 8 Update 121 b33

                JRE 1.8.0_151 and higher

                JRE 8 Update 144 b01
                JRE 8 Update 141 b15
                JRE 8 Update 131 b31
                JRE 8 Update 121 b33

                Browser
                Version
                Windows 10
                (64-bit)
                Windows 8.1
                (64-bit)
                Windows 7
                (64-bit)
                IE 11 (64-bit)JRE 1.8.0_51 (64-bit) and higher
                JRE 1.7.0_85 (64-bit) and higher
                JRE 1.8.0_25 (64-bit) and higher
                JRE 1.7.0_10 (64-bit) and higher
                JRE 1.6.0_37 (64-bit) and higher

                JRE 1.8.0_25 (64-bit) and higher
                JRE 1.7.0_10 (64-bit) and higher
                JRE 1.6.0_32 (64-bit) and higher

                BrowserWindows 10
                (32-bit & 64-bit)

                Edge

                JRE 8 Update 151 and higher

                JRE 8 Update 144 b01
                JRE 8 Update 141 b15
                JRE 8 Update 131 b31
                JRE 8 Update 121 b33

                 

                 

                 

                Thanks,

                Abhishek Kumar

                • 5. Re: What browser does Oracle recommend for EBS 12 when Internet Explorer 11 is desupported?
                  James Walker

                  Additional information I have found...

                   

                  Deploying JRE (Native Plug-in) for
                  Windows Clients in Oracle E-Business Suite Release 12 (Doc ID 393931.1)

                  JRE Plug-in (NPAPI) Support

                  The JRE Plug-in runs within the browser utilizing the Netscape Plug-in Application Programming Interface (NPAPI). IE 11 is the only modern browser that still supports this Plug-in technology. JRE 8 is also the final Java family that will work using NPAPI. An alternative solution to the Plug-in is to use Java Web Start (JWS) which runs Java content through a *.jnlp file outside the browser thereby not requiring NPAPI support. Oracle recommends that Oracle E-Business Suite R12 users change to JWS to run their Java content. For further information on patch requirements and set up see 'Oracle E-Business Suite with Java Web Start (Document 2188898.1)'.